Bug 1418678 - CP incorrectly detects status of running agent
Summary: CP incorrectly detects status of running agent
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Launch Scripts, Upgrade
Version: JON 3.3.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: CR01
: JON 3.3.8
Assignee: Simeon Pinder
QA Contact: Prachi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 13:57 UTC by Filip Brychta
Modified: 2017-03-30 14:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-30 14:22:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Filip Brychta 2017-02-02 13:57:47 UTC
Description of problem:
When applying the CP on running agent it incorrectly shows "Successfully verified that [Agent] is already shut down."

Version-Release number of selected component (if applicable):
JON3.3.8.ER2

How reproducible:
Always

Steps to Reproduce:
1. install JON 3.3.0.GA
2. start it
3. unzip CP 8
4. run jon-server-3.3.0.GA-update-08/apply-updates.sh rhq-agent

Actual results:
jon-server-3.3.0.GA-update-08/apply-updates.sh rhq-agent

Testing for INSTALL_PATCH_DEST[JON Server|JON agent] directory.
	Successfully detected agent [rhq-agent] to be upgraded. Proceeding...
	Proceeding with application of patch '08' to rhq-agent
	Checking [Agent] file permissions...
	Verifying that [Agent] is stopped...
rhq-agent/bin/rhq-agent-wrapper.sh: line 220: cd: rhq-agent: No such file or directory
	Successfully verified that [Agent] is already shut down.
	Archiving legacy files. This list is cumulative and may attempt to remove files handled by earlier updates.
	Moving the following files to [rhq-agent/.patched/3.3.0.GA-update-08_02-02-17_08-31-09/.old] for server and/or [rhq-agent/.patched/3.3.0.GA-update-08_02-02-17_08-31-09/.old-agent] for agent:
	See 'rhq-agent/.patched/3.3.0.GA-update-08_02-02-17_08-31-09/update.log' for more archive details.
	Applying the update contents.

	We detected a (JON server) that had not yet been initialized/installed.
	You have successfully extracted updated installation contents into the (JON server).
	You should now proceed with installation/upgrade of JON servers as is appropriate.


Expected results:
CP should correctly detect that agent is running and abort patching process.

Additional info:
CP correctly detect running JON server

Comment 2 Simeon Pinder 2017-02-08 06:03:24 UTC
Moving to ON_QA as available for test with the latest build:

JON 3.3.8 CR01 artifacts are available for test from here:
http://download.eng.bos.redhat.com/brewroot/packages/org.jboss.on-jboss-on-parent/3.3.0.GA/114/maven/org/jboss/on/jon-server-patch/3.3.0.GA/jon-server-patch-3.3.0.GA.zip
 *Note: jon-server-patch-3.3.0.GA.zip maps to CR01 build of
 jon-server-3.3.0.GA-update-08.zip.

https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=537179

Comment 3 Prachi 2017-02-09 18:51:41 UTC
Still getting same issue. Agent it incorrectly shows "Successfully verified that [Agent] is already shut down."

****************************

./apply-updates.sh ../../rhq-agent

Testing for INSTALL_PATCH_DEST[JON Server|JON agent] directory.
	Successfully detected agent [../../rhq-agent] to be upgraded. Proceeding...
	Proceeding with application of patch '08' to ../../rhq-agent
	Checking [Agent] file permissions...
	Verifying that [Agent] is stopped...
	Successfully verified that [Agent] is already shut down.
	Archiving legacy files. This list is cumulative and may attempt to remove files handled by earlier updates.
	Moving the following files to [../../rhq-agent/.patched/3.3.0.GA-update-08_02-09-17_13-11-27/.old] for server and/or [../../rhq-agent/.patched/3.3.0.GA-update-08_02-09-17_13-11-27/.old-agent] for agent:
	See '../../rhq-agent/.patched/3.3.0.GA-update-08_02-09-17_13-11-27/update.log' for more archive details.
	Applying the update contents.

	We detected a (JON server) that had not yet been initialized/installed.
	You have successfully extracted updated installation contents into the (JON server).
	You should now proceed with installation/upgrade of JON servers as is appropriate.

*****************************************


Note You need to log in before you can comment on or make changes to this bug.